<template>
  <v-dialog v-model="show" :width="width" persistent :scrollable="scrollable">
    <v-card class="noSelect" :height="height" :max-height="maxHeight">
      <v-system-bar height="35" color="secondary">
        <img src="../../assets/statik-white-logo.png" style="width: 20px; margin: -4px 0 0 0">
        <div style="width: 10px"></div>
        {{ title }}
      </v-system-bar>

      <v-card-text>
        <slot></slot>
      </v-card-text>
      <v-card-actions v-if="!unsubmitable || cancelable">
        <slot name="actions">
          <v-spacer></v-spacer>
          <v-btn v-if="cancelable" color="red" text @click="() => this.$emit('canceled')">
            <slot name="cancel-text">
              Cancel
            </slot>
          </v-btn>
          <v-btn v-if="!unsubmitable" color="green" :disabled="disabledSubmit" text @click="() => this.$emit('submitted')">
            <slot name="submit-text">
              Confirm
            </slot>
          </v-btn>
        </slot>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script>
export default {
  name: 'AppWindow',
  props: {
    show: Boolean,
    title: {
      type: String,
      default: ''
    },
    type: {
      type: String,
      default: '',
    },
    cancelable: Boolean,
    unsubmitable: Boolean,
    disabledSubmit: Boolean,
    width: {
      type: String,
      default: '500'
    },
    height: String,
    maxHeight: String,
    scrollable: Boolean,
  }
}
</script>